Contents

# Option Explicit Statement

Specifies that every variable in the program code must be explicitly declared with the Dim statement.

The Option Explicit statement is evaluated at run time.

### Syntax:

Option Explicit

### Parameters:

This statement must be added before the executable program code in a module.

### Example:

    Option Explicit
    Sub ExampleExplicit
    Dim sVar As String
        sVar = "Las Vegas"
        For i% = 1 to 10 REM This results in a run-time error
            Rem
        Next i%
    End Sub

Please support us!